콘텐츠로 건너뛰기

개요

  • 버전: 2.0
  • 서버: https://api.xsolla.com/merchant/v2/

본 API 참조는 정기 결제, 쿠폰 및 프로모션 관리 엔드포인트에 관하여 기술하고 있습니다. 정기 결제에 대한 더 자세한 내용은 제품 가이드용어집을 참조하십시오.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/subscriptions/
작업
작업
작업
작업
작업
작업
작업
작업

요청

경로
project_idinteger\d+필수
쿼리
plan_idArray of integers
plan_external_idArray of strings
limitinteger
offsetinteger
localestring
countrystring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/public/v1/projects/{project_id}/user_plans?plan_id=0&plan_external_id=string&limit=0&offset=0&locale=string&country=string'

응답

Subscription's default plans

본문application/json
has_moreboolean필수
예제: "false"
itemsArray of objects
기본값 []
items[].​chargeobject필수
items[].​charge.​amountnumber(float)필수
예제: 4.99
items[].​charge.​currencystring필수
예제: "USD"
items[].​charge.​setup_feenumber(float)필수
예제: 0.99
items[].​periodobject필수
items[].​period.​unitstring or null
기본값 null
예제: "month"
items[].​period.​valueinteger or null
기본값 null
예제: "1"
items[].​plan_descriptionstring필수
예제: "Localized plan description"
items[].​plan_end_datestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
items[].​plan_external_idstring필수
예제: "PlanExternalId"
items[].​plan_group_idstring or null
예제: "TestGroupId"
items[].​plan_idinteger필수
예제: "54321"
items[].​plan_namestring필수
예제: "Localized plan name"
items[].​plan_start_datestring or null(date-time)
예제: "2021-04-11T13:51:02+03:00"
items[].​plan_typestring필수
예제: "all"
items[].​promotionobject필수
items[].​promotion.​promotion_charge_amountnumber or null(float)
기본값 null
예제: "3.99"
items[].​promotion.​promotion_remaining_chargesinteger or null
기본값 null
예제: "3"
items[].​trial_periodinteger or null
예제: "7"
응답
application/json
{ "has_more": "false", "items": [] }

요청

보안
projectUserJwtAuth
경로
project_idinteger\d+필수
쿼리
limitinteger
offsetinteger
localestring
countrystring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/projects/{project_id}/catalog?limit=0&offset=0&locale=string&country=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Subscription's catalog

본문application/json
default_plansobject필수
default_plans.​has_moreboolean필수
예제: "false"
default_plans.​itemsArray of objects
기본값 []
default_plans.​items[].​chargeobject필수
default_plans.​items[].​charge.​amountnumber(float)필수
예제: 4.99
default_plans.​items[].​charge.​currencystring필수
예제: "USD"
default_plans.​items[].​charge.​setup_feenumber(float)필수
예제: 0.99
default_plans.​items[].​periodobject필수
default_plans.​items[].​period.​unitstring or null
기본값 null
예제: "month"
default_plans.​items[].​period.​valueinteger or null
기본값 null
예제: "1"
default_plans.​items[].​plan_descriptionstring필수
예제: "Localized plan description"
default_plans.​items[].​plan_end_datestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
default_plans.​items[].​plan_external_idstring필수
예제: "PlanExternalId"
default_plans.​items[].​plan_group_idstring or null
예제: "TestGroupId"
default_plans.​items[].​plan_idinteger필수
예제: "54321"
default_plans.​items[].​plan_namestring필수
예제: "Localized plan name"
default_plans.​items[].​plan_start_datestring or null(date-time)
예제: "2021-04-11T13:51:02+03:00"
default_plans.​items[].​plan_typestring필수
예제: "all"
default_plans.​items[].​promotionobject필수
default_plans.​items[].​promotion.​promotion_charge_amountnumber or null(float)
기본값 null
예제: "3.99"
default_plans.​items[].​promotion.​promotion_remaining_chargesinteger or null
기본값 null
예제: "3"
default_plans.​items[].​trial_periodinteger or null
예제: "7"
default_plans.​namestring or null
예제: "Some product name"
has_moreboolean필수
예제: "false"
plans_by_productArray of objects
기본값 []
plans_by_product[].​has_moreboolean필수
예제: "false"
plans_by_product[].​itemsArray of objects
기본값 []
plans_by_product[].​items[].​chargeobject필수
plans_by_product[].​items[].​charge.​amountnumber(float)필수
예제: 4.99
plans_by_product[].​items[].​charge.​currencystring필수
예제: "USD"
plans_by_product[].​items[].​charge.​setup_feenumber(float)필수
예제: 0.99
plans_by_product[].​items[].​periodobject필수
plans_by_product[].​items[].​period.​unitstring or null
기본값 null
예제: "month"
plans_by_product[].​items[].​period.​valueinteger or null
기본값 null
예제: "1"
plans_by_product[].​items[].​plan_descriptionstring필수
예제: "Localized plan description"
plans_by_product[].​items[].​plan_end_datestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
plans_by_product[].​items[].​plan_external_idstring필수
예제: "PlanExternalId"
plans_by_product[].​items[].​plan_group_idstring or null
예제: "TestGroupId"
plans_by_product[].​items[].​plan_idinteger필수
예제: "54321"
plans_by_product[].​items[].​plan_namestring필수
예제: "Localized plan name"
plans_by_product[].​items[].​plan_start_datestring or null(date-time)
예제: "2021-04-11T13:51:02+03:00"
plans_by_product[].​items[].​plan_typestring필수
예제: "all"
plans_by_product[].​items[].​promotionobject필수
plans_by_product[].​items[].​promotion.​promotion_charge_amountnumber or null(float)
기본값 null
예제: "3.99"
plans_by_product[].​items[].​promotion.​promotion_remaining_chargesinteger or null
기본값 null
예제: "3"
plans_by_product[].​items[].​trial_periodinteger or null
예제: "7"
plans_by_product[].​namestring or null
예제: "Some product name"
응답
application/json
{ "default_plans": { "has_more": "false", "items": [], "name": "Some product name" }, "has_more": "false", "plans_by_product": [] }

요청

보안
projectUserJwtAuth
경로
project_idinteger\d+필수
쿼리
plan_idArray of integers
plan_external_idArray of strings
limitinteger
offsetinteger
localestring
countrystring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/projects/{project_id}/plans?plan_id=0&plan_external_id=string&limit=0&offset=0&locale=string&country=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Subscription's default plans

본문application/json
has_moreboolean필수
예제: "false"
itemsArray of objects
기본값 []
items[].​chargeobject필수
items[].​charge.​amountnumber(float)필수
예제: 4.99
items[].​charge.​currencystring필수
예제: "USD"
items[].​charge.​setup_feenumber(float)필수
예제: 0.99
items[].​periodobject필수
items[].​period.​unitstring or null
기본값 null
예제: "month"
items[].​period.​valueinteger or null
기본값 null
예제: "1"
items[].​plan_descriptionstring필수
예제: "Localized plan description"
items[].​plan_end_datestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
items[].​plan_external_idstring필수
예제: "PlanExternalId"
items[].​plan_group_idstring or null
예제: "TestGroupId"
items[].​plan_idinteger필수
예제: "54321"
items[].​plan_namestring필수
예제: "Localized plan name"
items[].​plan_start_datestring or null(date-time)
예제: "2021-04-11T13:51:02+03:00"
items[].​plan_typestring필수
예제: "all"
items[].​promotionobject필수
items[].​promotion.​promotion_charge_amountnumber or null(float)
기본값 null
예제: "3.99"
items[].​promotion.​promotion_remaining_chargesinteger or null
기본값 null
예제: "3"
items[].​trial_periodinteger or null
예제: "7"
응답
application/json
{ "has_more": "false", "items": [] }
작업
작업
작업